# OpenSSHKnownHosts.CommentEntry (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.verification
Class OpenSSHKnownHosts.CommentEntry

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.CommentEntry

All Implemented Interfaces:
  OpenSSHKnownHosts.HostEntry

Enclosing class:
  OpenSSHKnownHosts

    public static class OpenSSHKnownHosts.CommentEntry

extends Object
implements OpenSSHKnownHosts.HostEntry

Constructor Summary
`OpenSSHKnownHosts.CommentEntry(String comment)`

Method Summary
`boolean` `appliesTo(KeyType type, String host)`
`String` `getLine()`
`boolean` `verify(PublicKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenSSHKnownHosts.CommentEntry

    public OpenSSHKnownHosts.CommentEntry(String comment)

Method Detail

### appliesTo

    public boolean appliesTo(KeyType type,
                             String host)

  Specified by:
    `appliesTo` in interface `OpenSSHKnownHosts.HostEntry`

### verify

    public boolean verify(PublicKey key)

  Specified by:
    `verify` in interface `OpenSSHKnownHosts.HostEntry`

### getLine

    public String getLine()

  Specified by:
    `getLine` in interface `OpenSSHKnownHosts.HostEntry`

Copyright © 2009-2012. All Rights Reserved.